curl -X GET "https://vzguoukmiwxvqdnabfma.supabase.co/functions/v1/api/products/123e4567-e89b-12d3-a456-426614174000" \
-H "x-api-key: YOUR_API_KEY" \
-H "Accept-Version: 1.0"
{
"success": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "Example Book Title",
"subtitle": "A Comprehensive Guide",
"isbn13": "9781234567890",
"isbn10": "1234567890",
"publishing_status_id": "status-uuid",
"format_id": "format-uuid",
"license_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"license_name": "Example License",
"license_badge_colour": "#7C3AED",
"page_count": 350,
"publication_date": "2024-06-01",
"product_territories": [],
"product_sales_rights": [],
"collateral": [],
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}
Products
Get a product
Retrieve a single product with territories, sales rights, and collateral.
GET
/
api
/
products
/
{id}
curl -X GET "https://vzguoukmiwxvqdnabfma.supabase.co/functions/v1/api/products/123e4567-e89b-12d3-a456-426614174000" \
-H "x-api-key: YOUR_API_KEY" \
-H "Accept-Version: 1.0"
{
"success": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "Example Book Title",
"subtitle": "A Comprehensive Guide",
"isbn13": "9781234567890",
"isbn10": "1234567890",
"publishing_status_id": "status-uuid",
"format_id": "format-uuid",
"license_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"license_name": "Example License",
"license_badge_colour": "#7C3AED",
"page_count": 350,
"publication_date": "2024-06-01",
"product_territories": [],
"product_sales_rights": [],
"collateral": [],
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}
Returns one product for your organisation, including:
- Full
product_territoriestree (supply, dates, prices, taxes, markets, exclusivity) product_sales_rightswith territory coveragecollateral(text content, cited content, and awards)- Enriched display fields such as season, publisher, license, and collections
Headers
string
required
Organisation API key.
string
default:"1.0"
API version. Use
1.0.Path parameters
string
required
Product UUID.
Response
boolean
required
true when the product is found.object
required
Enriched product object, including nested territories, sales rights, and
collateral when present.
Errors
| Status | Code | When |
|---|---|---|
404 | NOT_FOUND | No product with that id in the organisation |
401 | — | Missing or invalid API key |
500 | INTERNAL_ERROR | Unexpected server error |
curl -X GET "https://vzguoukmiwxvqdnabfma.supabase.co/functions/v1/api/products/123e4567-e89b-12d3-a456-426614174000" \
-H "x-api-key: YOUR_API_KEY" \
-H "Accept-Version: 1.0"
{
"success": true,
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"title": "Example Book Title",
"subtitle": "A Comprehensive Guide",
"isbn13": "9781234567890",
"isbn10": "1234567890",
"publishing_status_id": "status-uuid",
"format_id": "format-uuid",
"license_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"license_name": "Example License",
"license_badge_colour": "#7C3AED",
"page_count": 350,
"publication_date": "2024-06-01",
"product_territories": [],
"product_sales_rights": [],
"collateral": [],
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
}
Last modified on July 22, 2026